## python-vispy 0.6.6

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  publish    to publish the site on its public location"

clean:
	rm -rf $(BUILDDIR)/*
	-rm -f *~

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

## python-vispy 0.4.0

=== debian/changelog ===
python-vispy (0.4.0-1) unstable; urgency=low

  * Initial release. (Closes: #759820)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 14 Jun 2016 09:57:36 +0100

=== debian/control ===
Source: python-vispy
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               fontconfig,
               python-all,
               python-numpy,
               python-setuptools,
               python3-all,
               python3-numpy,
               python3-setuptools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-vispy.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-vispy.git
Homepage: http://vispy.org/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3

Package: python-vispy
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         fontconfig,
         libgl1-mesa-glx | libgl1,
         libjs-jquery-mousewheel
Suggests: ipython (>= 2),
          python-pyglet (>= 1.2),
          python-pyopengl,
          python-pyqt5,
          python-pyside,
          python-sdl2
Description: interactive visualization in Python 2
 Vispy is a high-performance interactive 2D/3D data visualization library.
 .
 Vispy leverages the computational power of modern Graphics Processing Units
 (GPUs) through the OpenGL library to display very large datasets.
 .
 This package provides VisPy for the Python 2 interpreter.

Package: python3-vispy
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         fontconfig,
         libgl1-mesa-glx | libgl1,
         libjs-jquery-mousewheel
Suggests: ipython3 (>= 2),
          python3-pyglet (>= 1.2),
          python3-pyopengl,
          python3-pyqt5,
          python3-pyside,
          python3-sdl2
Description: interactive visualization in Python 3
 Vispy is a high-performance interactive 2D/3D data visualization library.
 .
 Vispy leverages the computational power of modern Graphics Processing Units
 (GPUs) through the OpenGL library to display very large datasets.
 .
 This package provides VisPy for the Python 3 interpreter.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=vispy

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	# Standard Python smoke test.
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="{interpreter} -c \"import vispy; print(vispy)\"" \
		dh_auto_test

## python-vispy 0.6.4

=== debian/changelog ===
python-vispy (0.6.4-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:39:01 +0100

python-vispy (0.6.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Build-Depends: python3-setuptools-scm
  * debian patch workaround_pip_allow-hosts_error.patch
    drops setuptools_scm_git_archive from setup_requires in setup.py,
    to avoid a pip error emitted by setuptools (distutils):
      "`allow-hosts` option is not supported when using pip"
  * build docs against default version of python3. Closes: #948837.
  * python-vispy-doc Depends: ${sphinxdoc:Depends}
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 Jan 2020 18:32:32 +0800

python-vispy (0.6.1-2) unstable; urgency=medium

  * Team upload.
  * place python3-sphinx as Build-Depends, not -Indep
    to satisfy dh --with sphinxdoc

 -- Drew Parsons <dparsons@debian.org>  Sun, 13 Oct 2019 12:36:02 +0800

python-vispy (0.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.4.0
  * debhelper compatibility level 12: debhelper-compat (= 12)
  * update Vcs tags to salsa.debian.org
  * drop python-vispy (Python 2 is deprecated). Closes: #938250.
  * override dh_auto_clean to delete vispy/visuals/text/_sdf_cpu.c
    (setup.py clean does not clean up after itself)
  * mark python3-vispy Architecture: any, for extension library
    vispy/visuals/text/_sdf_cpu.so
  * fix install path of /etc/jupyter/nbconfig/notebook.d/vispy.json
    from /usr/etc/ to /etc
  * lintian override: source-is-missing vispy/static/index.js
    (see debian/missing-sources/jquery-3.4.1.js)
  * use system fonts from fonts-open-sans instead of bundled fonts
  * drop Depends: libjs-jquery-mousewheel
  * provide python-vispy-doc package for documentation
    - install examples (set glsl examples to nonexecutable)
    - Build-Depends-Indep: python3-sphinx, python3-sphinx-bootstrap-theme,
      libjs-bootstrap, libjs-jquery, python3-numpydoc
  * Build-Depends: cython3, python3-all-dev

 -- Drew Parsons <dparsons@debian.org>  Wed, 25 Sep 2019 20:17:41 +0800

=== debian/control ===
Source: python-vispy
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               cython3,
               fontconfig,
               fonts-open-sans,
               python3-all-dev,
               python3-freetype,
               python3-numpy,
               python3-setuptools,
               python3-setuptools-scm,
               python3-sphinx
Build-Depends-Indep: python3-numpydoc,
               python3-sphinx-bootstrap-theme,
               libjs-bootstrap,
               libjs-jquery
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/science-team/python-vispy
Vcs-Git: https://salsa.debian.org/science-team/python-vispy.git
Homepage: http://vispy.org/

Package: python3-vispy
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         fontconfig,
         fonts-open-sans,
         libgl1-mesa-glx | libgl1
Suggests: ipython3 (>= 2),
          python3-pyglet (>= 1.2),
          python3-pyopengl,
          python3-pyqt5,
          python3-pyside,
          python3-sdl2
Description: interactive visualization in Python 3
 Vispy is a high-performance interactive 2D/3D data visualization library.
 .
 Vispy leverages the computational power of modern Graphics Processing Units
 (GPUs) through the OpenGL library to display very large datasets.
 .
 This package provides VisPy for the Python 3 interpreter.

Package: python-vispy-doc
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
         libjs-bootstrap,
         libjs-jquery
Suggests: python3-vispy
Description: interactive visualization in Python [documentation]
 Vispy is a high-performance interactive 2D/3D data visualization library.
 .
 Vispy leverages the computational power of modern Graphics Processing Units
 (GPUs) through the OpenGL library to display very large datasets.
 .
 This package provides documentation for VisPy.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,36 @@
 export PYBUILD_NAME=vispy
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf vispy/visuals/text/_sdf_cpu.c
+
+override_dh_auto_build-indep:
+	dh_auto_build
+	PYTHONPATH=`pybuild --print {build_dir} -p$$(py3versions -dv)` make -C doc html
+
+override_dh_auto_install:
+	dh_auto_install
+	mv debian/python3-vispy/usr/etc debian/python3-vispy
+
+override_dh_installexamples-indep:
+	dh_installexamples
+	find debian/python-vispy-doc/usr/share/doc/python-vispy-doc/examples/ -executable -a -name *glsl | xargs chmod a-x
+	chmod a-x debian/python-vispy-doc/usr/share/doc/python-vispy-doc/examples/demo/gloo/rain.py
+
+override_dh_link-arch:
+	rm -rf debian/python3-vispy/usr/lib/python3/dist-packages/vispy/util/fonts/data/
+	dh_link -a
+
+override_dh_link-indep:
+	rm -rf debian/python3-vispy/usr/lib/python3/dist-packages/vispy/util/fonts/data/
+	rm -rf debian/python-vispy-doc/usr/share/doc/python-vispy-doc/html/_static/bootstrap-[23]*
+	dh_link -i
+	grep  "_static/.*bootstrap.min.js" -R debian/python-vispy-doc/usr/share/doc/python-vispy-doc/html/* -sl | xargs -r sed -i "s|_static/bootstrap-3.3.7/js/bootstrap.min.js|/usr/share/javascript/bootstrap/js/bootstrap.min.js|"
+	grep  "_static/jquery\.js" -R debian/python-vispy-doc/usr/share/doc/python-vispy-doc/html/* -sl | xargs -r sed -i "s|_static/jquery.js|/usr/share/javascript/jquery/jquery.js|"
+	grep  "_static/.*jquery.*.min.js" -R debian/python-vispy-doc/usr/share/doc/python-vispy-doc/html/* -sl | xargs -r sed -i "s|_static/.*jquery.*.min.js|/usr/share/javascript/jquery/jquery.min.js|"
 
 override_dh_auto_test:
 	# Standard Python smoke test.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/vispy/vispy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-vispy 0.6.6

=== debian/changelog ===
python-vispy (0.6.6-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info to new format on line 1.
  * Use secure URI in debian/watch.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Étienne Mollier ]
  * numpy-1.24.patch: fix import failure of vispy.plot (Closes: #1031832)

 -- Étienne Mollier <emollier@debian.org>  Sun, 26 Feb 2023 16:13:22 +0100

python-vispy (0.6.6-2) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS (Closes: #997027)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 05 Nov 2021 17:48:14 +0530

python-vispy (0.6.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 29 Jan 2021 12:15:56 +0100

python-vispy (0.6.4-2) unstable; urgency=medium

  * Team Upload.
  * Clean version.py pre-build (Closes: #978286)
  * Fix with cme

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 04 Jan 2021 01:53:09 +0530

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                cython3,
                fontconfig,
@@ -16,13 +16,14 @@
                python3-setuptools-scm,
                python3-sphinx
 Build-Depends-Indep: python3-numpydoc,
-               python3-sphinx-bootstrap-theme,
-               libjs-bootstrap,
-               libjs-jquery
-Standards-Version: 4.4.1
+                     python3-sphinx-bootstrap-theme,
+                     libjs-bootstrap,
+                     libjs-jquery
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/python-vispy
 Vcs-Git: https://salsa.debian.org/science-team/python-vispy.git
-Homepage: http://vispy.org/
+Homepage: https://vispy.org/
+Rules-Requires-Root: no
 
 Package: python3-vispy
 Architecture: any
@@ -32,8 +33,8 @@
          fontconfig,
          fonts-open-sans,
          libgl1-mesa-glx | libgl1
-Suggests: ipython3 (>= 2),
-          python3-pyglet (>= 1.2),
+Suggests: ipython3,
+          python3-pyglet,
           python3-pyopengl,
           python3-pyqt5,
           python3-pyside,

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf vispy/visuals/text/_sdf_cpu.c
+	rm -f vispy/version.py
 
 override_dh_auto_build-indep:
 	dh_auto_build
@@ -38,7 +39,9 @@
 	grep  "_static/.*jquery.*.min.js" -R debian/python-vispy-doc/usr/share/doc/python-vispy-doc/html/* -sl | xargs -r sed -i "s|_static/.*jquery.*.min.js|/usr/share/javascript/jquery/jquery.min.js|"
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Standard Python smoke test.
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="{interpreter} -c \"import vispy; print(vispy)\"" \
 		dh_auto_test
+endif

## python-vispy 0.14.1

=== debian/changelog ===
python-vispy (0.14.1-3) unstable; urgency=medium

  * Team upload.
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.
  * Use dh-sequence-numpy3 (closes: #1099022).

 -- Colin Watson <cjwatson@debian.org>  Thu, 27 Mar 2025 15:37:13 +0000

python-vispy (0.14.1-2) unstable; urgency=medium

  * Team Upload.
  * Fix regex for file with spaces
  * d/clean: Cleanup doc related stuff for successful
    consecutive builds (Closes: #1045936)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 12 Oct 2023 13:17:53 +0530

python-vispy (0.14.1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.14.1
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Remove depends on "libgl1-mesa-glx", replace with libgl1 (Closes: #1051596)
  * Drop workaround_pip_allow-hosts_error.patch
  * Update copyright
  * New lintian overrides
  * 0002-Skip-failing-example-in-the-gallery.patch: Exclude more example
    files that try to fetch resourced during build

 -- Nilesh Patra <nilesh@debian.org>  Thu, 12 Oct 2023 06:10:25 +0530

python-vispy (0.13.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Exclude one failing example from the Sphinx gallery.

 -- Roland Mas <lolando@debian.org>  Tue, 29 Aug 2023 16:30:55 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,9 @@
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc,
                cython3,
                fontconfig,
                fonts-open-sans,
@@ -14,12 +16,28 @@
                python3-numpy,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-sphinx
+               python3-sphinx,
+               python3-sphinx-gallery,
+	       python3-sphinxcontrib.apidoc,
+	       python3-myst-parser,
+	       python3-pydata-sphinx-theme,
+	       python3-glad,
+	       libgl-dev,
+	       python3-hsluv,
+	       python3-pyqt5,
+	       python3-pyqt5.qtopengl,
+	       dbus-bin,
+	       dbus,
+	       python3-opengl,
+	       xvfb,
+	       xauth,
+	       python3-imageio,
+	       python3-networkx,
 Build-Depends-Indep: python3-numpydoc,
                      python3-sphinx-bootstrap-theme,
                      libjs-bootstrap,
                      libjs-jquery
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/python-vispy
 Vcs-Git: https://salsa.debian.org/science-team/python-vispy.git
 Homepage: https://vispy.org/
@@ -32,7 +50,7 @@
          ${shlibs:Depends},
          fontconfig,
          fonts-open-sans,
-         libgl1-mesa-glx | libgl1
+         libgl1
 Suggests: ipython3,
           python3-pyglet,
           python3-pyopengl,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_NAME=vispy
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -14,12 +14,8 @@
 	rm -f vispy/version.py
 
 override_dh_auto_build-indep:
-	dh_auto_build
-	PYTHONPATH=`pybuild --print {build_dir} -p$$(py3versions -dv)` make -C doc html
-
-override_dh_auto_install:
-	dh_auto_install
-	mv debian/python3-vispy/usr/etc debian/python3-vispy
+	dh_auto_build --buildsystem=pybuild
+	HOME=$$(mktemp -d);PYTHONPATH=`pybuild --print {build_dir} -p$$(py3versions -dv)` HOME=$$HOME xvfb-run make -C doc html;rm -r $$HOME
 
 override_dh_installexamples-indep:
 	dh_installexamples

## python-vispy 0.14.3

=== debian/changelog ===
python-vispy (0.14.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Add NumPy 2.0 support (closes: #1102477).
  * Fix patch to skip files from sphinx-gallery processing.

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Apr 2025 16:58:50 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                fonts-open-sans,
                python3-all-dev,
                python3-freetype,
-               python3-numpy,
+               python3-numpy (>= 1:2.0.0),
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx,

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 override_dh_auto_build-indep:
 	dh_auto_build --buildsystem=pybuild
-	HOME=$$(mktemp -d);PYTHONPATH=`pybuild --print {build_dir} -p$$(py3versions -dv)` HOME=$$HOME xvfb-run make -C doc html;rm -r $$HOME
+	HOME=$$(mktemp -d) && PYTHONPATH=`pybuild --print {build_dir} -p$$(py3versions -dv)` HOME=$$HOME xvfb-run make -C doc html && rm -r $$HOME
 
 override_dh_installexamples-indep:
 	dh_installexamples

## python-vispy 0.15.2

=== doc/Makefile ===
--- 
+++ 
@@ -27,16 +27,26 @@
 	@echo "  linkcheck  to check all external links for integrity"
 	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
 	@echo "  publish    to publish the site on its public location"
+	@echo "  html_dev-pattern       to make standalone HTML files with select sphinx-gallery pattern (ex. make html_dev-pattern PATTERN='/a')"
 
 clean:
 	rm -rf $(BUILDDIR)/*
 	-rm -f *~
+	rm -f api/*.rst
+	rm -rf gallery/gloo
+	rm -rf gallery/scene
+	rm -rf gallery/plotting
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
 
+html_dev-pattern:
+	$(SPHINXBUILD) -D sphinx_gallery_conf.filename_pattern=$(PATTERN) -D sphinx_gallery_conf.run_stale_examples=True -b html $(ALLSPHINXOPTS) _build/html
+	@echo
+	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html"
+
 linkcheck:
 	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
 	@echo

=== debian/changelog ===
python-vispy (0.15.2-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Wed, 27 Aug 2025 12:41:12 +0200

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/vispy/vispy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-vispy 0.16.1

=== Makefile ===
# simple makefile to simplify repetetive build env management tasks under posix

CTAGS ?= ctags

all: clean inplace test

clean-pyc:
	@find . -name "*.pyc" | xargs rm -f

clean-so:
	@find . -name "*.so" | xargs rm -f
	@find . -name "*.pyd" | xargs rm -f

clean-build:
	@rm -rf build

clean-ctags:
	@rm -f tags

clean-cache:
	@find . -name "__pycache__" | xargs rm -rf

clean: clean-build clean-pyc clean-so clean-ctags clean-cache
	@echo "Cleaning build, pyc, so, ctags, and cache"

clean-test: clean-build clean-pyc clean-ctags clean-cache
	@echo "Cleaning build, pyc, ctags, and cache"

in: inplace # just a shortcut
inplace:
	python setup.py build_ext -i

# Test conditions, don't "clean-so" or builds won't work!

unit: clean-test
	python make test unit

examples: clean-test
	python make test examples

coverage_html:
	python make coverage_html

gallery:
	python make images gallery

test: clean-test
	python make test full

test3: clean-test
	python3 make test full

flake: clean-test
	python make test flake

docs: clean-test
	python make test docs

flake3: clean-test
	python3 make test flake

lineendings: clean-test
	python make test lineendings

extra: clean-test
	python make test extra

nobackend : clean-test
	python make test nobackend

pyqt4: clean-test
	python make test pyqt4

pyqt5: clean-test
	python make test pyqt5

pyqt6: clean-test
	python make test pyqt6
	
pyside: clean-test
	python make test pyside

pyside2: clean-test
	python make test pyside2

pyside6: clean-test
	python make test pyside6

pyglet: clean-test
	python make test pyglet

glfw: clean-test
	python make test glfw

sdl2: clean-test
	python make test sdl2

wx: clean-test
	python make test wx

egl: clean-test
	python make test egl

osmesa: clean-test
	python make test osmesa

ipynb_vnc: clean-test
	python make test ipynb_vnc

check-manifest:
	check-manifest

=== debian/changelog ===
python-vispy (0.16.1-1) unstable; urgency=medium

  * Update debian/watch to version 5.
  * New upstream release.
  * Replace Build-Depends: dbus with dbus-daemon (closes: #1122706).

 -- Roland Mas <lolando@debian.org>  Sat, 31 Jan 2026 16:06:56 +0100

=== debian/control ===
Source: python-vispy
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Ghislain Antony Vaillant <ghisvail@gmail.com>,
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-numpy3,
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 cython3,
 dbus-daemon,
 fontconfig,
 fonts-open-sans,
 libgl-dev,
 python3-all-dev,
 python3-freetype,
 python3-glad,
 python3-hsluv,
 python3-imageio,
 python3-myst-parser,
 python3-networkx,
 python3-numpy (>= 1:2.0.0),
 python3-opengl,
 python3-pydata-sphinx-theme,
 python3-pyqt5,
 python3-pyqt5.qtopengl,
 python3-scipy,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
 python3-sphinx-gallery,
 python3-sphinxcontrib.apidoc,
 xauth,
 xvfb,
Build-Depends-Indep:
 libjs-bootstrap,
 libjs-jquery,
 python3-numpydoc,
 python3-sphinx-bootstrap-theme,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/python-vispy
Vcs-Git: https://salsa.debian.org/science-team/python-vispy.git
Homepage: https://vispy.org/
Rules-Requires-Root: no

Package: python3-vispy
Architecture: any
Depends:
 fontconfig,
 fonts-open-sans,
 libgl1,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 ipython3,
 python3-pyglet,
 python3-pyopengl,
 python3-pyqt5,
 python3-pyside,
 python3-sdl2,
Description: interactive visualization in Python 3
 Vispy is a high-performance interactive 2D/3D data visualization library.
 .
 Vispy leverages the computational power of modern Graphics Processing Units
 (GPUs) through the OpenGL library to display very large datasets.
 .
 This package provides VisPy for the Python 3 interpreter.

Package: python-vispy-doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Suggests:
 python3-vispy,
Description: interactive visualization in Python [documentation]
 Vispy is a high-performance interactive 2D/3D data visualization library.
 .
 Vispy leverages the computational power of modern Graphics Processing Units
 (GPUs) through the OpenGL library to display very large datasets.
 .
 This package provides documentation for VisPy.

=== debian/watch ===
Version: 5

Template: Github
Owner: vispy
Project: vispy
Uversion-Mangle: s/(rc|a|b|c)/~$1/
